TPS-5191 - 7.2

Version
7.2
Language
English (United States)
Product
Talend Data Integration
Module
Talend SAP RFC Server

TPS-5191

Info Value
Patch Name Patch_20220415_TPS-5191_v1-7.2.1
Release Date 2022-04-15
Target Version 20190620_1446-V7.2.1
Product affected Talend SAP RFC Server

Introduction

This is a self-contained patch.

NOTE: For information on how to obtain this patch, reach out to your Support contact at Talend.

Fixed issues

This patch contains the following fixes:

  • TPS-3827 [7.2.1] SAP RFC Server 7.2.1 encrypts the jco.client.saprouter and jco.sever.saprouter information (TDI-42970)
  • TPS-5191 [7.2.1] Assess Spring4Shell vulnerability (TDI-47763)

Prerequisites

Consider the following requirements for your system:

  • Talend SAP RFC Server 7.2.1 must be installed.

Installation

Installing the patch using Talend SAP RFC Server

  1. Stop the Talend SAP RFC Server
  2. Extract the zip.
  3. Overwrite the {sap rfc server home}/tsap-rfc-server-7.2.1.jar
  4. Restart the Talend SAP RFC Server